Bug 165192 - Account created during firstboot doesn't get ownership of /home/uname directory
Account created during firstboot doesn't get ownership of /home/uname directory
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2005-08-05 04:24 EDT by Rowan Lewis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-17 13:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rowan Lewis 2005-08-05 04:24:50 EDT
Description of problem: The user created during the firstboot stage isn't given

How reproducible: Always

Steps to Reproduce:
1. Install Fedora Core 4
2. Create user during the firstboot stage
3. Attempt login with the user for proofing
Actual results:
The login fails because the user doesn't have access to its home directory, and
software (I'm assuming Gnome) needs to write files to the directory.

Expected results:
Normal login with software able to write needed files.

Additional info:
This machine is a Dual boot with Windows 2000 on a 10Gb IDE Seagate hard drive,
there are two NTFS partitions on the Linux drive (80GB IDE Western Digital).
I've only been able to test this with a Desktop install due to my 4th CD being
faulty. The system is a Duron 1ghz with 1.5GB of DDR400 ram running on an Asus
A7V600-X mother board.

I've also been able to produce the same situation with Ubuntu Warty, so perhaps
the offender is one that Ubuntu shares.

This problem didn't happen with Fedora Core 3
Comment 1 Chris Lumens 2005-08-05 13:24:16 EDT
Works for me, so there must be something else going on here.  What user are you
trying to create?  Are you creating a network user?  If you create the new user,
then login as root, what does ls -l /home show?
Comment 2 Rowan Lewis 2005-08-06 09:31:52 EDT
I'm just making a normal user, called rowan. I can't test anything because I've
fixed my install and don't plan on re-installing :)

If there is anything you could use (logs) I'll try to help.
Comment 3 Chris Lumens 2005-08-17 13:39:56 EDT
I can't think of any logs that would help with this and in any case, they are
most likely long gone by now.  Marking as closed, but feel free to reopen if the
problem comes back up or if you can think of a reproducer.
Comment 4 Rowan Lewis 2005-08-18 04:44:50 EDT
I've got a theory: As each user has its own partition for its home directory
(forgot to say so) it might be that these partitions are not mounted when the
first user is created. I could be wrong, but perhaps thats it?

Also, it happens in Ubuntu 5.04 too.

Note You need to log in before you can comment on or make changes to this bug.